<?php
  use App\Libraries\ejLib;
  $var = ejLib::getInstance();
  $soapclient = $var->getWs();
  $wsClave = $var->get_wsClave();
  $usuario = $_SESSION['operador'];
  $Centro_Sal  = $var->desencriptar_AES($usuario['centro_sal'], $usuario['x']);
  $Centro_Sal  = trim($Centro_Sal);
  $nom_Centro_Sal  = $var->desencriptar_AES($usuario['nom_centrosal'], $usuario['x']);
  $nom_Centro_Sal = trim(ucwords(strtolower($nom_Centro_Sal)));
  $IDDOC  = $var->desencriptar_AES($usuario['id_doc'], $usuario['x']);

	if($Centro_Sal == "" || $Centro_Sal == "0" || $Centro_Sal < 0)
		die("Ha accedido a un formulario sin los debidos privilegios de acceso");


		$objeto = $soapclient->Estadisticas_getRpt_atencionesLugarOrigen($IDDOC, $_POST['fecha_inicio'], $_POST['fecha_termino'], $_POST['urgencias'], $_POST['cexternas'], $_POST['desgloce'], $wsClave);


		$Notif=	array('error' => '0', 'titulo' => '', 'detalle' => '');
		$xml  = new SimpleXMLElement(utf8_encode($objeto));
        if(isset($xml->respuesta)){ 
            $i=0;
            echo '<div class="txtSepVertical txtAltura10px"></div><table id="tbl_atenciones_porlugarorigen" name="tbl_atenciones_porlugarorigen" style="font-size: 12px; width: 98%; max-width: 600px; margin:auto;" class="table table-bordered table-hover"><tr style="cursor:pointer;"><th style="text-align: center;" data-col="0" data-tipo="1">ENTIDAD FEDERATIVA</th><th style="text-align: center;" data-col="1" data-tipo="2">COLIMA</th>';
            foreach($xml->respuesta as $reg){

                if(isset($reg->error)){ 	
                    $Notif= array('error' => '1', 'titulo' => utf8_decode($reg->tituloerror), 'detalle' => utf8_decode($reg->descripcionerror));
                }
                else{
                    echo "<tr ><td>".utf8_decode($reg->entidad_federativa)."</td><td>".utf8_decode($reg->elementos)."</td></tr>";                        
                }
            
        }
        echo '</table>';

        ?>
	    <input type="hidden" id="hError" name="hError" value="<?php echo $Notif["error"];  ?>">
	    <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo $Notif["titulo"];  ?>">
	    <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo $Notif["detalle"];  ?>">
	    <div class="txtSepVertical txtAltura10px"></div>
	    <?php
 	}

?>


